com.amazonaws.services.codedeploy.model

## Class TimeRange

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.TimeRange

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeRange
    extends Object
    implements Serializable, Cloneable

Information about a time range.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeRange()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TimeRange` `clone()`
`boolean` `equals(Object obj)`
`Date` `getEnd()` The end time of the time range.
`Date` `getStart()` The start time of the time range.
`int` `hashCode()`
`void` `setEnd(Date end)` The end time of the time range.
`void` `setStart(Date start)` The start time of the time range.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TimeRange` `withEnd(Date end)` The end time of the time range.
`TimeRange` `withStart(Date start)` The start time of the time range.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeRange

    public TimeRange()

### Method Detail

#### setStart

    public void setStart(Date start)

The start time of the time range.

<note>

Specify null to leave the start time open-ended.

</note>

Parameters:
  `start` - The start time of the time range. <note>

  Specify null to leave the start time open-ended.

#### getStart

    public Date getStart()

The start time of the time range.

<note>

Specify null to leave the start time open-ended.

</note>

Returns:
  The start time of the time range. <note>

  Specify null to leave the start time open-ended.

#### withStart

    public TimeRange withStart(Date start)

The start time of the time range.

<note>

Specify null to leave the start time open-ended.

</note>

Parameters:
  `start` - The start time of the time range. <note>

  Specify null to leave the start time open-ended.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnd

    public void setEnd(Date end)

The end time of the time range.

<note>

Specify null to leave the end time open-ended.

</note>

Parameters:
  `end` - The end time of the time range. <note>

  Specify null to leave the end time open-ended.

#### getEnd

    public Date getEnd()

The end time of the time range.

<note>

Specify null to leave the end time open-ended.

</note>

Returns:
  The end time of the time range. <note>

  Specify null to leave the end time open-ended.

#### withEnd

    public TimeRange withEnd(Date end)

The end time of the time range.

<note>

Specify null to leave the end time open-ended.

</note>

Parameters:
  `end` - The end time of the time range. <note>

  Specify null to leave the end time open-ended.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TimeRange clone()

Overrides:
  `clone` in class `Object`